#ifndef MYGLWIDGET_H
#define MYGLWIDGET_H

#include <QGLWidget>

class SparrowRenderer;

namespace Ui {
class MyGLWidget;
}

class MyGLWidget : public QGLWidget
{
    Q_OBJECT

    SparrowRenderer* renderer;

public:
    explicit MyGLWidget(QWidget *parent = 0);
    ~MyGLWidget();

protected:
    void initializeGL();
    void resizeGL(int width, int height);
    void paintGL();
};

#endif // MYGLWIDGET_H
